Core - Bug # 32967

Bug # 46389 (Accepted): Faulty Workspace Placeholders

Status: Closed Priority: Should have
Author: Jakob Berlin Category:

Created: 2012-01-04 Assigned To:

Updated: 2015-05-11 Due date:

TYPO3 Version: 45

PHP Version: 53

Complexity:

Is Regression: No

Sprint Focus:

Subject: Backend workspace copy/cut paste column content fails on publish

Description

1. Go to draft workspace

2. Cut content from normal column
3. Paste content into right column
4. Publish changes

-> Copied content appears in normal column again.

Any idea where this happens? I'm maybe able to fix it if | know where this happens...

Related issues:

related to Core - Bug # 44470: Content elements in wrong column in page module Resolved 2013-01-13
related to Core - Task # 56994: Introduce shadowColumnsForMovePlaceholders pr... Resolved 2014-03-17
precedes Core - Bug # 39983: Change colPos of content element in draft workspace Needs Feedbac2012-08-20
History

#1 - 2012-01-04 15:44 - Jakob Berlin
In Typo3 4.5.10 the screenshot of DB behavoir is not reproduceable for me. It seems that something changed here. Now a row with MOVE-TO

PLACEHOLDER and setup "t3ver_move_id" appears before publish and disappears after publish. In the "new" row the colpos value is right but not

seems to be used...

#2 - 2012-01-04 17:54 - Jakob Berlin
- File bug_32967.diff added

After hours of researching through the core | found the (a?) location where | can fix it. See diff file. Is this the right/best/only location? Someone with

more Typo3-Core-Skill should check this.

If fine | can commit this to git repo.

#3 - 2012-01-06 01:42 - Simon Schaufelberger

If fine | can commit this to git repo.
you can ALWAYS push to gerrit. code review will be done there and not HERE in forge so go ahead and push!

Then it is also easier to review since you can just checkout your commit into your own local repo.

#4 - 2012-01-06 19:00 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7691

#5 - 2012-01-06 19:00 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7691

#6 - 2012-01-06 21:07 - Gerrit Code Review

removed (created new change by accident)

#7 - 2012-01-06 21:12 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7691

#8 - 2012-01-24 15:40 - Ernesto Baschny
- Target version changed from 4.5.11 to 4.5.12

#9 - 2012-02-06 10:42 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/7691

#10 - 2012-02-13 09:42 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7691

#11 - 2013-02-08 10:00 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18107

#12 - 2013-03-17 21:11 - Oliver Hader
- Parent task set to #46389
#13 - 2013-08-15 17:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18107

#14 - 2013-08-21 12:41 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/18107

#15 - 2013-09-25 16:58 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18107

#16 - 2013-10-23 15:52 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18107

#17 - 2013-11-20 13:58 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/18107

#18 - 2013-11-20 18:30 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/18107

#19 - 2013-11-20 22:11 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/18107

#20 - 2013-12-18 14:53 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/18107

#21 - 2014-03-18 23:32 - Gerrit Code Review

Patch set 10 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/18107
#22 - 2014-03-19 17:41 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/18107

#23 - 2014-03-21 19:59 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/18107

#24 - 2015-01-06 21:20 - Wouter Wolters

- Status changed from Under Review to Needs Feedback

- Is Regression set to No

Hi,

does the problem still exists within newer versions of TYPO3 CMS (6.2.9)?

#25 - 2015-05-11 15:41 - Riccardo De Contardi
- Status changed from Needs Feedback to Closed

| tried with both 6.2.12 and 7 (latest master) and | was not able to reproduce the bug, so | close this for now.

If you think that this is the wrong decision or experience this issue again, then please write to the mailing list typo3.teams.bugs with issue number and

an explanation or open a new ticket and add a relation to this ticket number.

Please note that | had to use this https://review.typo3.org/#/c/39430/ to make WS usable on 7
